Package org.jacoco.ant

## Class CoverageTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.jacoco.ant.AbstractCoverageTask
      - - org.jacoco.ant.CoverageTask

All Implemented Interfaces:
  `java.lang.Cloneable`, `org.apache.tools.ant.TaskContainer`

    public class CoverageTask
    extends AbstractCoverageTask
    implements org.apache.tools.ant.TaskContainer

Container task to run Java/JUnit tasks with the JaCoCo agent jar. Coverage will only be applied if all of the following are true:

- Exactly one sub task may be present
- Task must be either Java or JUnit
- Task must be using a forked VM (so vm args can be passed)

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`CoverageTask()` Creates a new default coverage task

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTask​(org.apache.tools.ant.Task task)` Add child task to this container and reconfigure it to run with coverage enabled
`void` `execute()` Executes subtask and performs any required cleanup

### Methods inherited from class org.jacoco.ant.AbstractCoverageTask

`getLaunchingArgument, isEnabled, setAddress, setAppend, setClassdumpdir, setDestfile, setDumpOnExit, setEnabled, setExclClassLoader, setExcludes, setInclBootstrapClasses, setInclNoLocationClasses, setIncludes, setJmx, setOutput, setPort, setSessionId`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CoverageTask

    public CoverageTask()

Creates a new default coverage task

### Method Detail

#### addTask

    public void addTask​(org.apache.tools.ant.Task task)

Add child task to this container and reconfigure it to run with coverage enabled

Specified by:
  `addTask` in interface `org.apache.tools.ant.TaskContainer`

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Executes subtask and performs any required cleanup

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`